Represents a page of values.

### Type parameters

- T

### Hierarchy

- Iterable<T>
  - Page
    - HierarchyPage

### Implemented by

- HierarchyPageImpl
- PageImpl

## Index

### Properties

- [Page.offset]
- [Page.page]
- offset
- page

### Methods

- [Symbol.iterator]

## Properties

### [Page.offset]

[Page.offset]: number

- Defined in types.ts:134

The element offset from the start of the source iterable.

### [Page.page]

[Page.page]: number

- Defined in types.ts:129

The page offset from the start of the source iterable.

### offset

offset: unique symbol = Symbol("Page.offset")

- Defined in types.ts:124
- Defined in types.ts:139

The element offset from the start of the source iterable.

NOTE: This is a convenience alias for [Page.offset] and should return the same value.

### page

page: unique symbol = Symbol("Page.page")

- Defined in types.ts:117
- Defined in types.ts:138

The page offset from the start of the source iterable.

NOTE: This is a convenience alias for [Page.page] and should return the same value.

## Methods

### [Symbol.iterator]

- [Symbol.iterator](): Iterator<T>

- Inherited from Iterable.[Symbol.iterator]

  - Defined in C:/dev/iterable-query/node_modules/typescript/lib/lib.es2015.iterable.d.ts:43

  #### Returns Iterator<T>

Generated using TypeDoc